## org.openorb.policy
Class ProfilePriorityValue

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ProfilePriorityValue
extends java.lang.Object
implements IDLEntity

Struct definition : ProfilePriorityValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte` `default_priority` Struct member default_priority
`ProfilePriorityEntry[]` `profile_priorities` Struct member profile_priorities

Constructor Summary
`ProfilePriorityValue()` Default constructor
`ProfilePriorityValue(ProfilePriorityEntry[] profile_priorities, byte default_priority)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### profile_priorities

    public ProfilePriorityEntry[] profile_priorities

  Struct member profile_priorities

### default_priority

    public byte default_priority

  Struct member default_priority

Constructor Detail

### ProfilePriorityValue

    public ProfilePriorityValue()

  Default constructor

### ProfilePriorityValue

    public ProfilePriorityValue(ProfilePriorityEntry[] profile_priorities,
                                byte default_priority)

  Constructor with fields initialization
  Parameters:
    `profile_priorities` - profile_priorities struct member
    `default_priority` - default_priority struct member